头像

顾墨没了

今天又是美好的一天!

2 3 2
文章 分类 评论

标签云

友情链接

当前位置:首页 » Zephir,PHP » 【Zephir】PhalconPlus1.2.0在PHP7上编译安装后出现Notice级别警告

2020-05-12

357人围观

分类: Zephir,PHP

标签: Zephir


警告规则 (如):Declaration of xxxxxx should be compatible with yyyyyy
PhalconPlus1.2.0扩展在PHP7上编译安装后出现的Notice级别警告如下

NOTICE: PHP message: PHP Warning: Declaration of
PhalconPlusAppApp::getModule(string $name = NULL):
PhalconPlusAppModuleAbstractModule should be compatible with
PhalconApplication::getModule($name) in Unknown on line 0 NOTICE: PHP
message: PHP Warning: Declaration of
PhalconPlusAppApp::setDefaultModule(string $defaultModule):
PhalconApplication should be compatible with
PhalconApplication::setDefaultModule($defaultModule) in Unknown on
line 0 NOTICE: PHP message: PHP Fatal error: Declaration of
PhalconPlusMvcPsrApplication::handle(?string $uri = NULL):
PhalconHttpResponseInterface must be compatible with
PhalconMvcApplication::handle($uri = NULL) in Unknown on line 0

子类覆写父类的方法时 必须一致,包括 参数个数一致参数如果没有值 则需要定义其默认值

在phalconplus-1.2.0/phalconplus目录下修改AppApp.zep的getModule()和setDefaultModule()方法、MvcPsrApplication.zep下的handle()方法的参数即可。

修改完后按照zephir的方式进行编译C源码及生成PHP扩展。

重启Server,即可。


作者:

丨随风飘着,不也挺好。